petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscMemzero

Zeros the specified memory.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode  PetscMemzero(void *a,size_t n)

Not Collective

### Input Parameters

| a | - pointer to beginning memory location
| n | - length (in bytes) of memory to initialize

### Compile Option

PETSC_PREFER_BZERO - on certain machines (the IBM RS6000) the bzero() routine happens to be faster than the memset() routine. This flag causes the bzero() routine to be used.

Developer Note: this is inlined for fastest performance

### See Also

PetscMemcpy()

Level:intermediate
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html